rpms/totem/OLPC-2 totem-2.18.2-plugin-build.patch, NONE, 1.1 totem-2.18.3-pluginmime.patch, NONE, 1.1 totem.spec, 1.108, 1.109

Marco Pesenti Gritti (mpg) fedora-extras-commits at redhat.com
Fri Sep 28 16:29:40 UTC 2007


Author: mpg

Update of /cvs/extras/rpms/totem/OLPC-2
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv8698

Modified Files:
	totem.spec 
Added Files:
	totem-2.18.2-plugin-build.patch totem-2.18.3-pluginmime.patch 
Log Message:
* Fri Sep 28 2007 Marco Pesenti Gritti <mpg at redhat.com> - 2.18.2-7
- Apply patches to make it build and to make it recognize wav



totem-2.18.2-plugin-build.patch:

--- NEW FILE totem-2.18.2-plugin-build.patch ---
--- configure.orig	2007-07-19 17:43:05.000000000 +0200
+++ configure	2007-07-19 17:43:43.000000000 +0200
@@ -899,13 +899,13 @@
 INTLTOOL_XGETTEXT
 ALL_LINGUAS
 PKG_CONFIG
-GDU_MODULE_VERSION_CHECK_CFLAGS
-GDU_MODULE_VERSION_CHECK_LIBS
 HELP_DIR
 OMF_DIR
 DOC_USER_FORMATS
 ENABLE_SK_TRUE
 ENABLE_SK_FALSE
+HAVE_GNOME_DOC_UTILS_TRUE
+HAVE_GNOME_DOC_UTILS_FALSE
 CXX
 CXXFLAGS
 ac_ct_CXX
@@ -968,6 +968,7 @@
 MOZILLA_IDLDIR
 ENABLE_BROWSER_PLUGINS_TRUE
 ENABLE_BROWSER_PLUGINS_FALSE
+MOZILLA_EXTRA_CXXFLAGS
 LIBXPCOMGLUE_S
 ENABLE_BASIC_PLUGIN_TRUE
 ENABLE_BASIC_PLUGIN_FALSE
@@ -1032,8 +1033,6 @@
 CPPFLAGS
 CPP
 PKG_CONFIG
-GDU_MODULE_VERSION_CHECK_CFLAGS
-GDU_MODULE_VERSION_CHECK_LIBS
 CXX
 CXXFLAGS
 CCC
@@ -1729,11 +1728,6 @@
               you have headers in a nonstandard directory <include dir>
   CPP         C preprocessor
   PKG_CONFIG  path to pkg-config utility
-  GDU_MODULE_VERSION_CHECK_CFLAGS
-              C compiler flags for GDU_MODULE_VERSION_CHECK, overriding
-              pkg-config
-  GDU_MODULE_VERSION_CHECK_LIBS
-              linker flags for GDU_MODULE_VERSION_CHECK, overriding pkg-config
   CXX         C++ compiler command
   CXXFLAGS    C++ compiler flags
   CXXCPP      C++ preprocessor
@@ -6328,6 +6322,149 @@
 # Substitute ALL_LINGUAS so we can use it in po/Makefile
 
 
+# Set DATADIRNAME correctly if it is not set yet
+# (copied from glib-gettext.m4)
+if test -z "$DATADIRNAME"; then
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+extern int _nl_msg_cat_cntr;
+                 return _nl_msg_cat_cntr
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  DATADIRNAME=share
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	case $host in
+    *-*-solaris*)
+                        { echo "$as_me:$LINENO: checking for bind_textdomain_codeset" >&5
+echo $ECHO_N "checking for bind_textdomain_codeset... $ECHO_C" >&6; }
+if test "${ac_cv_func_bind_textdomain_codeset+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define bind_textdomain_codeset to an innocuous variant, in case <limits.h> declares bind_textdomain_codeset.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define bind_textdomain_codeset innocuous_bind_textdomain_codeset
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char bind_textdomain_codeset (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef bind_textdomain_codeset
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char bind_textdomain_codeset ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_bind_textdomain_codeset || defined __stub___bind_textdomain_codeset
+choke me
+#endif
+
+int
+main ()
+{
+return bind_textdomain_codeset ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_func_bind_textdomain_codeset=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cv_func_bind_textdomain_codeset=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_func_bind_textdomain_codeset" >&5
+echo "${ECHO_T}$ac_cv_func_bind_textdomain_codeset" >&6; }
+if test $ac_cv_func_bind_textdomain_codeset = yes; then
+  DATADIRNAME=share
+else
+  DATADIRNAME=lib
+fi
+
+    ;;
+    *)
+    DATADIRNAME=lib
+    ;;
+    esac
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+
+
 
 
 
@@ -6457,126 +6594,29 @@
 
 fi
 
-if test "x$PACKAGE" != "xgnome-doc-utils"; then
-  GDU_REQUIRED_VERSION=0.3.2
-  if test -n ""; then
-    GDU_REQUIRED_VERSION=
-  fi
-
-
-pkg_failed=no
-{ echo "$as_me:$LINENO: checking for GDU_MODULE_VERSION_CHECK" >&5
-echo $ECHO_N "checking for GDU_MODULE_VERSION_CHECK... $ECHO_C" >&6; }
+gdu_cv_version_required=0.3.2
 
-if test -n "$PKG_CONFIG"; then
-    if test -n "$GDU_MODULE_VERSION_CHECK_CFLAGS"; then
-        pkg_cv_GDU_MODULE_VERSION_CHECK_CFLAGS="$GDU_MODULE_VERSION_CHECK_CFLAGS"
-    else
-        if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gnome-doc-utils >= \$GDU_REQUIRED_VERSION\"") >&5
-  ($PKG_CONFIG --exists --print-errors "gnome-doc-utils >= $GDU_REQUIRED_VERSION") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_GDU_MODULE_VERSION_CHECK_CFLAGS=`$PKG_CONFIG --cflags "gnome-doc-utils >= $GDU_REQUIRED_VERSION" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
-    fi
-else
-	pkg_failed=untried
-fi
-if test -n "$PKG_CONFIG"; then
-    if test -n "$GDU_MODULE_VERSION_CHECK_LIBS"; then
-        pkg_cv_GDU_MODULE_VERSION_CHECK_LIBS="$GDU_MODULE_VERSION_CHECK_LIBS"
-    else
-        if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gnome-doc-utils >= \$GDU_REQUIRED_VERSION\"") >&5
-  ($PKG_CONFIG --exists --print-errors "gnome-doc-utils >= $GDU_REQUIRED_VERSION") 2>&5
+if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gnome-doc-utils >= \$gdu_cv_version_required\"") >&5
+  ($PKG_CONFIG --exists --print-errors "gnome-doc-utils >= $gdu_cv_version_required") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_GDU_MODULE_VERSION_CHECK_LIBS=`$PKG_CONFIG --libs "gnome-doc-utils >= $GDU_REQUIRED_VERSION" 2>/dev/null`
+  gdu_cv_have_gdu=yes
 else
-  pkg_failed=yes
+  gdu_cv_have_gdu=no
 fi
-    fi
-else
-	pkg_failed=untried
-fi
-
 
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
+if test "$gdu_cv_have_gdu" = "yes"; then
+	:
 else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        GDU_MODULE_VERSION_CHECK_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gnome-doc-utils >= $GDU_REQUIRED_VERSION"`
-        else
-	        GDU_MODULE_VERSION_CHECK_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gnome-doc-utils >= $GDU_REQUIRED_VERSION"`
-        fi
-	# Put the nasty error message in config.log where it belongs
-	echo "$GDU_MODULE_VERSION_CHECK_PKG_ERRORS" >&5
-
-	{ { echo "$as_me:$LINENO: error: Package requirements (gnome-doc-utils >= $GDU_REQUIRED_VERSION) were not met:
-
-$GDU_MODULE_VERSION_CHECK_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
-
-Alternatively, you may set the environment variables GDU_MODULE_VERSION_CHECK_CFLAGS
-and GDU_MODULE_VERSION_CHECK_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&5
-echo "$as_me: error: Package requirements (gnome-doc-utils >= $GDU_REQUIRED_VERSION) were not met:
-
-$GDU_MODULE_VERSION_CHECK_PKG_ERRORS
-
-Consider adjusting the PKG_CONFIG_PATH environment variable if you
-installed software in a non-standard prefix.
-
-Alternatively, you may set the environment variables GDU_MODULE_VERSION_CHECK_CFLAGS
-and GDU_MODULE_VERSION_CHECK_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-" >&2;}
-   { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
-	{ { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables GDU_MODULE_VERSION_CHECK_CFLAGS
-and GDU_MODULE_VERSION_CHECK_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
-See \`config.log' for more details." >&5
-echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
-is in your PATH or set the PKG_CONFIG environment variable to the full
-path to pkg-config.
-
-Alternatively, you may set the environment variables GDU_MODULE_VERSION_CHECK_CFLAGS
-and GDU_MODULE_VERSION_CHECK_LIBS to avoid the need to call pkg-config.
-See the pkg-config man page for more details.
-
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
-See \`config.log' for more details." >&2;}
+	{ { echo "$as_me:$LINENO: error: gnome-doc-utils >= $gdu_cv_version_required not found" >&5
+echo "$as_me: error: gnome-doc-utils >= $gdu_cv_version_required not found" >&2;}
    { (exit 1); exit 1; }; }
-else
-	GDU_MODULE_VERSION_CHECK_CFLAGS=$pkg_cv_GDU_MODULE_VERSION_CHECK_CFLAGS
-	GDU_MODULE_VERSION_CHECK_LIBS=$pkg_cv_GDU_MODULE_VERSION_CHECK_LIBS
-        { echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; }
-	:
-fi
 fi
 
 
+
 # Check whether --with-help-dir was given.
 if test "${with_help_dir+set}" = set; then
   withval=$with_help_dir;
@@ -6616,7 +6656,7 @@
   enable_scrollkeeper=yes
 fi
 
- if test "x$enable_scrollkeeper" = "xyes"; then
+ if test "$gdu_cv_have_gdu" = "yes" -a "$enable_scrollkeeper" = "yes"; then
   ENABLE_SK_TRUE=
   ENABLE_SK_FALSE='#'
 else
@@ -6625,6 +6665,15 @@
 fi
 
 
+ if test "$gdu_cv_have_gdu" = "yes"; then
+  HAVE_GNOME_DOC_UTILS_TRUE=
+  HAVE_GNOME_DOC_UTILS_FALSE='#'
+else
+  HAVE_GNOME_DOC_UTILS_TRUE='#'
+  HAVE_GNOME_DOC_UTILS_FALSE=
+fi
+
+
 
 
 ac_ext=cpp
@@ -7651,7 +7700,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 7654 "configure"' > conftest.$ac_ext
+  echo '#line 7703 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9436,11 +9485,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9439: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9488: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9443: \$? = $ac_status" >&5
+   echo "$as_me:9492: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9704,11 +9753,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9707: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9756: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:9711: \$? = $ac_status" >&5
+   echo "$as_me:9760: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -9808,11 +9857,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:9811: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:9860: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:9815: \$? = $ac_status" >&5
+   echo "$as_me:9864: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11273,7 +11322,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 11276 "configure"' > conftest.$ac_ext
+    echo '#line 11325 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -11292,7 +11341,7 @@
 
   # Append ld.so.conf contents to the search path
   if test -f /etc/ld.so.conf; then
-    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
+    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/^	 *//;s/#.*//;/^[^\/]/d;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
     sys_lib_dlsearch_path_spec="/lib${libsuff} /usr/lib${libsuff} $lt_ld_extra"
   fi
 
@@ -12137,7 +12186,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12140 "configure"
+#line 12189 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12237,7 +12286,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12240 "configure"
+#line 12289 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12568,9 +12617,6 @@
 # Is the compiler the GNU C compiler?
 with_gcc=$GCC
 
-gcc_dir=\`gcc -print-file-name=. | $SED 's,/\.$,,'\`
-gcc_ver=\`gcc -dumpversion\`
-
 # An ERE matcher.
 EGREP=$lt_EGREP
 
@@ -12704,11 +12750,11 @@
 
 # Dependencies to place before the objects being linked to create a
 # shared library.
-predep_objects=\`echo $lt_predep_objects | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+predep_objects=$lt_predep_objects
 
 # Dependencies to place after the objects being linked to create a
 # shared library.
-postdep_objects=\`echo $lt_postdep_objects | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+postdep_objects=$lt_postdep_objects
 
 # Dependencies to place before the objects being linked to create a
 # shared library.
@@ -12720,7 +12766,7 @@
 
 # The library search path used internally by the compiler when linking
 # a shared library.
-compiler_lib_search_path=\`echo $lt_compiler_lib_search_path | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+compiler_lib_search_path=$lt_compiler_lib_search_path
 
 # Method to check whether dependent libraries are shared objects.
 deplibs_check_method=$lt_deplibs_check_method
@@ -12800,7 +12846,7 @@
 link_all_deplibs=$link_all_deplibs
 
 # Compile-time system search path for libraries
-sys_lib_search_path_spec=\`echo $lt_sys_lib_search_path_spec | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+sys_lib_search_path_spec=$lt_sys_lib_search_path_spec
 
 # Run-time system search path for libraries
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
@@ -14576,11 +14622,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14579: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14625: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14583: \$? = $ac_status" >&5
+   echo "$as_me:14629: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14680,11 +14726,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14683: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14729: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14687: \$? = $ac_status" >&5
+   echo "$as_me:14733: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15216,7 +15262,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 15219 "configure"' > conftest.$ac_ext
+    echo '#line 15265 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -15235,7 +15281,7 @@
 
   # Append ld.so.conf contents to the search path
   if test -f /etc/ld.so.conf; then
-    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
+    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/^	 *//;s/#.*//;/^[^\/]/d;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
     sys_lib_dlsearch_path_spec="/lib${libsuff} /usr/lib${libsuff} $lt_ld_extra"
   fi
 
@@ -15620,9 +15666,6 @@
 # Is the compiler the GNU C compiler?
 with_gcc=$GCC_CXX
 
-gcc_dir=\`gcc -print-file-name=. | $SED 's,/\.$,,'\`
-gcc_ver=\`gcc -dumpversion\`
-
 # An ERE matcher.
 EGREP=$lt_EGREP
 
@@ -15756,11 +15799,11 @@
 
 # Dependencies to place before the objects being linked to create a
 # shared library.
-predep_objects=\`echo $lt_predep_objects_CXX | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+predep_objects=$lt_predep_objects_CXX
 
 # Dependencies to place after the objects being linked to create a
 # shared library.
-postdep_objects=\`echo $lt_postdep_objects_CXX | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+postdep_objects=$lt_postdep_objects_CXX
 
 # Dependencies to place before the objects being linked to create a
 # shared library.
@@ -15772,7 +15815,7 @@
 
 # The library search path used internally by the compiler when linking
 # a shared library.
-compiler_lib_search_path=\`echo $lt_compiler_lib_search_path_CXX | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+compiler_lib_search_path=$lt_compiler_lib_search_path_CXX
 
 # Method to check whether dependent libraries are shared objects.
 deplibs_check_method=$lt_deplibs_check_method
@@ -15852,7 +15895,7 @@
 link_all_deplibs=$link_all_deplibs_CXX
 
 # Compile-time system search path for libraries
-sys_lib_search_path_spec=\`echo $lt_sys_lib_search_path_spec | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+sys_lib_search_path_spec=$lt_sys_lib_search_path_spec
 
 # Run-time system search path for libraries
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
@@ -16274,11 +16317,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16277: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16320: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16281: \$? = $ac_status" >&5
+   echo "$as_me:16324: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16378,11 +16421,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16381: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16424: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16385: \$? = $ac_status" >&5
+   echo "$as_me:16428: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17823,7 +17866,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 17826 "configure"' > conftest.$ac_ext
+    echo '#line 17869 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -17842,7 +17885,7 @@
 
   # Append ld.so.conf contents to the search path
   if test -f /etc/ld.so.conf; then
-    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
+    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/^	 *//;s/#.*//;/^[^\/]/d;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
     sys_lib_dlsearch_path_spec="/lib${libsuff} /usr/lib${libsuff} $lt_ld_extra"
   fi
 
@@ -18227,9 +18270,6 @@
 # Is the compiler the GNU C compiler?
 with_gcc=$GCC_F77
 
-gcc_dir=\`gcc -print-file-name=. | $SED 's,/\.$,,'\`
-gcc_ver=\`gcc -dumpversion\`
-
 # An ERE matcher.
 EGREP=$lt_EGREP
 
@@ -18363,11 +18403,11 @@
 
 # Dependencies to place before the objects being linked to create a
 # shared library.
-predep_objects=\`echo $lt_predep_objects_F77 | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+predep_objects=$lt_predep_objects_F77
 
 # Dependencies to place after the objects being linked to create a
 # shared library.
-postdep_objects=\`echo $lt_postdep_objects_F77 | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+postdep_objects=$lt_postdep_objects_F77
 
 # Dependencies to place before the objects being linked to create a
 # shared library.
@@ -18379,7 +18419,7 @@
 
 # The library search path used internally by the compiler when linking
 # a shared library.
-compiler_lib_search_path=\`echo $lt_compiler_lib_search_path_F77 | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+compiler_lib_search_path=$lt_compiler_lib_search_path_F77
 
 # Method to check whether dependent libraries are shared objects.
 deplibs_check_method=$lt_deplibs_check_method
@@ -18459,7 +18499,7 @@
 link_all_deplibs=$link_all_deplibs_F77
 
 # Compile-time system search path for libraries
-sys_lib_search_path_spec=\`echo $lt_sys_lib_search_path_spec | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+sys_lib_search_path_spec=$lt_sys_lib_search_path_spec
 
 # Run-time system search path for libraries
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
@@ -18600,11 +18640,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18603: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18643: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:18607: \$? = $ac_status" >&5
+   echo "$as_me:18647: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -18868,11 +18908,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18871: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:18911: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:18875: \$? = $ac_status" >&5
+   echo "$as_me:18915: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -18972,11 +19012,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:18975: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19015: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:18979: \$? = $ac_status" >&5
+   echo "$as_me:19019: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -20437,7 +20477,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 20440 "configure"' > conftest.$ac_ext
+    echo '#line 20480 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -20456,7 +20496,7 @@
 
   # Append ld.so.conf contents to the search path
   if test -f /etc/ld.so.conf; then
-    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
+    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/^	 *//;s/#.*//;/^[^\/]/d;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
     sys_lib_dlsearch_path_spec="/lib${libsuff} /usr/lib${libsuff} $lt_ld_extra"
   fi
 
@@ -20841,9 +20881,6 @@
 # Is the compiler the GNU C compiler?
 with_gcc=$GCC_GCJ
 
-gcc_dir=\`gcc -print-file-name=. | $SED 's,/\.$,,'\`
-gcc_ver=\`gcc -dumpversion\`
-
 # An ERE matcher.
 EGREP=$lt_EGREP
 
@@ -20977,11 +21014,11 @@
 
 # Dependencies to place before the objects being linked to create a
 # shared library.
-predep_objects=\`echo $lt_predep_objects_GCJ | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+predep_objects=$lt_predep_objects_GCJ
 
 # Dependencies to place after the objects being linked to create a
 # shared library.
-postdep_objects=\`echo $lt_postdep_objects_GCJ | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+postdep_objects=$lt_postdep_objects_GCJ
 
 # Dependencies to place before the objects being linked to create a
 # shared library.
@@ -20993,7 +21030,7 @@
 
 # The library search path used internally by the compiler when linking
 # a shared library.
-compiler_lib_search_path=\`echo $lt_compiler_lib_search_path_GCJ | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+compiler_lib_search_path=$lt_compiler_lib_search_path_GCJ
 
 # Method to check whether dependent libraries are shared objects.
 deplibs_check_method=$lt_deplibs_check_method
@@ -21073,7 +21110,7 @@
 link_all_deplibs=$link_all_deplibs_GCJ
 
 # Compile-time system search path for libraries
-sys_lib_search_path_spec=\`echo $lt_sys_lib_search_path_spec | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+sys_lib_search_path_spec=$lt_sys_lib_search_path_spec
 
 # Run-time system search path for libraries
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
@@ -21324,9 +21361,6 @@
 # Is the compiler the GNU C compiler?
 with_gcc=$GCC_RC
 
-gcc_dir=\`gcc -print-file-name=. | $SED 's,/\.$,,'\`
-gcc_ver=\`gcc -dumpversion\`
-
 # An ERE matcher.
 EGREP=$lt_EGREP
 
@@ -21460,11 +21494,11 @@
 
 # Dependencies to place before the objects being linked to create a
 # shared library.
-predep_objects=\`echo $lt_predep_objects_RC | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+predep_objects=$lt_predep_objects_RC
 
 # Dependencies to place after the objects being linked to create a
 # shared library.
-postdep_objects=\`echo $lt_postdep_objects_RC | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+postdep_objects=$lt_postdep_objects_RC
 
 # Dependencies to place before the objects being linked to create a
 # shared library.
@@ -21476,7 +21510,7 @@
 
 # The library search path used internally by the compiler when linking
 # a shared library.
-compiler_lib_search_path=\`echo $lt_compiler_lib_search_path_RC | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+compiler_lib_search_path=$lt_compiler_lib_search_path_RC
 
 # Method to check whether dependent libraries are shared objects.
 deplibs_check_method=$lt_deplibs_check_method
@@ -21556,7 +21590,7 @@
 link_all_deplibs=$link_all_deplibs_RC
 
 # Compile-time system search path for libraries
-sys_lib_search_path_spec=\`echo $lt_sys_lib_search_path_spec | \$SED -e "s@\${gcc_dir}@\\\${gcc_dir}@g;s@\${gcc_ver}@\\\${gcc_ver}@g"\`
+sys_lib_search_path_spec=$lt_sys_lib_search_path_spec
 
 # Run-time system search path for libraries
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
@@ -23410,6 +23444,101 @@
 fi
 
 
+# Checks for -fshort-wchar compiler variable, and adds it to
+# MOZILLA_XPCOM_CFLAGS if found
+
+# **************************************************************
+# This is really gcc-only
+# Do this test using CXX only since some versions of gcc
+# 2.95-2.97 have a signed wchar_t in c++ only and some versions
+# only have short-wchar support for c++.
+# **************************************************************
+
+MOZILLA_EXTRA_CXXFLAGS=
+
+if test "$enable_browser_plugins" = "yes" ; then
+	ac_ext=cpp
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+
+	_SAVE_CXXFLAGS=$CXXFLAGS
+	CXXFLAGS="$CXXFLAGS $_GECKO_EXTRA_CXXFLAGS -fshort-wchar"
+
+	{ echo "$as_me:$LINENO: checking for compiler -fshort-wchar option" >&5
+echo $ECHO_N "checking for compiler -fshort-wchar option... $ECHO_C" >&6; }
+if test "${gecko_cv_have_usable_wchar_option+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test "$cross_compiling" = yes; then
+  gecko_cv_have_usable_wchar_option="maybe (cross-compiling)"
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <stddef.h>
+	                  int main () {
+	                    return (sizeof(wchar_t) != 2) || (wchar_t)-1 < (wchar_t) 0 ;
+	                  }
+_ACEOF
+rm -f conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  gecko_cv_have_usable_wchar_option="yes"
+else
+  echo "$as_me: program exited with status $ac_status" >&5
+echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+( exit $ac_status )
+gecko_cv_have_usable_wchar_option="no"
+fi
+rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+
+
+fi
+{ echo "$as_me:$LINENO: result: $gecko_cv_have_usable_wchar_option" >&5
+echo "${ECHO_T}$gecko_cv_have_usable_wchar_option" >&6; }
+
+	CXXFLAGS="$_SAVE_CXXFLAGS"
+
+	ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+
+	if test "$gecko_cv_have_usable_wchar_option" = "yes"; then
+	        MOZILLA_EXTRA_CXXFLAGS="-fshort-wchar"
+	fi
+fi
+
+
+
 # check for libxpcomglue_s
 
 LIBXPCOMGLUE_S=
@@ -23429,7 +23558,7 @@
 	CPPFLAGS="$CPPFLAGS -I$MOZILLA_INCLUDE_ROOT"
 	CXXFLAGS="$CXXFLAGS $MOZILLA_NOT_LINKED_CFLAGS"
 	LIBS="$LIBS -L$MOZILLA_LIBDIR -lxpcom -lxpcomglue_s"
-	LDFLAGS="$LDFLAGS -Wl,--rpath -Wl,$MOZILLA_LIBDIR"
+	LDFLAGS="$LDFLAGS $MOZILLA_EXTRA_CXXFLAGS -Wl,--rpath -Wl,$MOZILLA_LIBDIR"
 
 	{ echo "$as_me:$LINENO: checking for libxpcomglue_s" >&5
 echo $ECHO_N "checking for libxpcomglue_s... $ECHO_C" >&6; }
@@ -23497,7 +23626,7 @@
 
 
 	if test "$have_libxpcomglue_s" = "yes"; then
-		LIBXPCOMGLUE_S="-L$MOZILLA_LIBDIR -lxpcomglue_s"
+		LIBXPCOMGLUE_S="-L$MOZILLA_LIBDIR -lxpcom -lxpcomglue_s"
 	else
 		{ echo "$as_me:$LINENO: WARNING: libxpcomglue_s not available; plugins may not be portable" >&5
 echo "$as_me: WARNING: libxpcomglue_s not available; plugins may not be portable" >&2;}
@@ -23587,7 +23716,7 @@
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 	__SAVE_CPPFLAGS=$CPPFLAGS
-	CPPFLAGS="$CPPFLAGS $MOZILLA_NOT_LINKED_CFLAGS -I$MOZILLA_INCLUDE_ROOT/xpcom"
+	CPPFLAGS="$CPPFLAGS $MOZILLA_NOT_LINKED_CFLAGS $MOZILLA_EXTRA_CXXFLAGS -I$MOZILLA_INCLUDE_ROOT/xpcom"
 
 
 
@@ -25929,6 +26058,13 @@
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${HAVE_GNOME_DOC_UTILS_TRUE}" && test -z "${HAVE_GNOME_DOC_UTILS_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"HAVE_GNOME_DOC_UTILS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"HAVE_GNOME_DOC_UTILS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${am__fastdepCXX_TRUE}" && test -z "${am__fastdepCXX_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCXX\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -26774,13 +26910,13 @@
 INTLTOOL_XGETTEXT!$INTLTOOL_XGETTEXT$ac_delim
 ALL_LINGUAS!$ALL_LINGUAS$ac_delim
 PKG_CONFIG!$PKG_CONFIG$ac_delim
-GDU_MODULE_VERSION_CHECK_CFLAGS!$GDU_MODULE_VERSION_CHECK_CFLAGS$ac_delim
-GDU_MODULE_VERSION_CHECK_LIBS!$GDU_MODULE_VERSION_CHECK_LIBS$ac_delim
 HELP_DIR!$HELP_DIR$ac_delim
 OMF_DIR!$OMF_DIR$ac_delim
 DOC_USER_FORMATS!$DOC_USER_FORMATS$ac_delim
 ENABLE_SK_TRUE!$ENABLE_SK_TRUE$ac_delim
 ENABLE_SK_FALSE!$ENABLE_SK_FALSE$ac_delim
+HAVE_GNOME_DOC_UTILS_TRUE!$HAVE_GNOME_DOC_UTILS_TRUE$ac_delim
+HAVE_GNOME_DOC_UTILS_FALSE!$HAVE_GNOME_DOC_UTILS_FALSE$ac_delim
 CXX!$CXX$ac_delim
 CXXFLAGS!$CXXFLAGS$ac_delim
 ac_ct_CXX!$ac_ct_CXX$ac_delim
@@ -26884,6 +27020,7 @@
 MOZILLA_IDLDIR!$MOZILLA_IDLDIR$ac_delim
 ENABLE_BROWSER_PLUGINS_TRUE!$ENABLE_BROWSER_PLUGINS_TRUE$ac_delim
 ENABLE_BROWSER_PLUGINS_FALSE!$ENABLE_BROWSER_PLUGINS_FALSE$ac_delim
+MOZILLA_EXTRA_CXXFLAGS!$MOZILLA_EXTRA_CXXFLAGS$ac_delim
 LIBXPCOMGLUE_S!$LIBXPCOMGLUE_S$ac_delim
 ENABLE_BASIC_PLUGIN_TRUE!$ENABLE_BASIC_PLUGIN_TRUE$ac_delim
 ENABLE_BASIC_PLUGIN_FALSE!$ENABLE_BASIC_PLUGIN_FALSE$ac_delim
@@ -26939,7 +27076,7 @@
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 58; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 59; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
--- browser-plugin/Makefile.in.orig	2007-07-19 17:51:04.000000000 +0200
+++ browser-plugin/Makefile.in	2007-07-19 17:51:19.000000000 +0200
@@ -295,8 +295,6 @@
 GCONFTOOL = @GCONFTOOL@
 GCONF_SCHEMA_CONFIG_SOURCE = @GCONF_SCHEMA_CONFIG_SOURCE@
 GCONF_SCHEMA_FILE_DIR = @GCONF_SCHEMA_FILE_DIR@
-GDU_MODULE_VERSION_CHECK_CFLAGS = @GDU_MODULE_VERSION_CHECK_CFLAGS@
-GDU_MODULE_VERSION_CHECK_LIBS = @GDU_MODULE_VERSION_CHECK_LIBS@
 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
 GLIB_MKENUMS = @GLIB_MKENUMS@
@@ -359,6 +357,7 @@
 MKDIR_P = @MKDIR_P@
 MKINSTALLDIRS = @MKINSTALLDIRS@
 MOZILLA = @MOZILLA@
+MOZILLA_EXTRA_CXXFLAGS = @MOZILLA_EXTRA_CXXFLAGS@
 MOZILLA_IDLDIR = @MOZILLA_IDLDIR@
 MOZILLA_INCLUDE_ROOT = @MOZILLA_INCLUDE_ROOT@
 MOZILLA_LIBDIR = @MOZILLA_LIBDIR@
@@ -580,6 +579,7 @@
 
 @ENABLE_BASIC_PLUGIN_TRUE at libtotem_basic_plugin_la_CXXFLAGS = \
 @ENABLE_BASIC_PLUGIN_TRUE@	$(BROWSER_PLUGIN_CFLAGS)	\
+ at ENABLE_BASIC_PLUGIN_TRUE@	$(MOZILLA_EXTRA_CXXFLAGS)       \
 @ENABLE_BASIC_PLUGIN_TRUE@	$(MOZILLA_XPCOM_CFLAGS)		\
 @ENABLE_BASIC_PLUGIN_TRUE@	$(DBUS_CFLAGS)			\
 @ENABLE_BASIC_PLUGIN_TRUE@	$(WARN_CXXFLAGS)		\
@@ -640,6 +640,7 @@
 
 @ENABLE_GMP_PLUGIN_TRUE at libtotem_gmp_plugin_la_CXXFLAGS = \
 @ENABLE_GMP_PLUGIN_TRUE@	$(BROWSER_PLUGIN_CFLAGS)	\
+ at ENABLE_GMP_PLUGIN_TRUE@	$(MOZILLA_EXTRA_CXXFLAGS)       \
 @ENABLE_GMP_PLUGIN_TRUE@	$(MOZILLA_XPCOM_CFLAGS)		\
 @ENABLE_GMP_PLUGIN_TRUE@	$(DBUS_CFLAGS)			\
 @ENABLE_GMP_PLUGIN_TRUE@	$(WARN_CXXFLAGS)		\
@@ -694,6 +695,7 @@
 
 @ENABLE_COMPLEX_PLUGIN_TRUE at libtotem_complex_plugin_la_CXXFLAGS = \
 @ENABLE_COMPLEX_PLUGIN_TRUE@	$(BROWSER_PLUGIN_CFLAGS)	\
+ at ENABLE_COMPLEX_PLUGIN_TRUE@	$(MOZILLA_EXTRA_CXXFLAGS)       \
 @ENABLE_COMPLEX_PLUGIN_TRUE@	$(MOZILLA_XPCOM_CFLAGS)		\
 @ENABLE_COMPLEX_PLUGIN_TRUE@	$(DBUS_CFLAGS)			\
 @ENABLE_COMPLEX_PLUGIN_TRUE@	$(WARN_CXXFLAGS)		\
@@ -748,6 +750,7 @@
 
 @ENABLE_NARROWSPACE_PLUGIN_TRUE at libtotem_narrowspace_plugin_la_CXXFLAGS = \
 @ENABLE_NARROWSPACE_PLUGIN_TRUE@	$(BROWSER_PLUGIN_CFLAGS)	\
+ at ENABLE_NARROWSPACE_PLUGIN_TRUE@	$(MOZILLA_EXTRA_CXXFLAGS)       \
 @ENABLE_NARROWSPACE_PLUGIN_TRUE@	$(MOZILLA_XPCOM_CFLAGS)		\
 @ENABLE_NARROWSPACE_PLUGIN_TRUE@	$(DBUS_CFLAGS)			\
 @ENABLE_NARROWSPACE_PLUGIN_TRUE@	$(WARN_CXXFLAGS)		\
@@ -802,6 +805,7 @@
 
 @ENABLE_MULLY_PLUGIN_TRUE at libtotem_mully_plugin_la_CXXFLAGS = \
 @ENABLE_MULLY_PLUGIN_TRUE@	$(BROWSER_PLUGIN_CFLAGS)	\
+ at ENABLE_MULLY_PLUGIN_TRUE@	$(MOZILLA_EXTRA_CXXFLAGS)       \
 @ENABLE_MULLY_PLUGIN_TRUE@	$(MOZILLA_XPCOM_CFLAGS)		\
 @ENABLE_MULLY_PLUGIN_TRUE@	$(DBUS_CFLAGS)			\
 @ENABLE_MULLY_PLUGIN_TRUE@	$(WARN_CXXFLAGS)		\

totem-2.18.3-pluginmime.patch:

--- NEW FILE totem-2.18.3-pluginmime.patch ---
--- browser-plugin/totemBasicPlugin.cpp.old	2007-09-28 16:04:07.000000000 +0200
+++ browser-plugin/totemBasicPlugin.cpp	2007-09-28 16:04:30.000000000 +0200
@@ -52,9 +52,9 @@
 	{ "application/ogg", "ogg", NULL, FALSE },
 	{ "video/mpeg", "mpg, mpeg, mpe", NULL, FALSE },
 	{ "audio/wav", "wav", NULL, FALSE },
-	{ "audio/x-wav", "wav", NULL, TRUE },
+	{ "audio/x-wav", "wav", NULL, FALSE },
 	{ "audio/mpeg", "mp3", NULL, FALSE },
-	{ "audio/x-mpeg", "mp3", NULL, TRUE }
+	{ "audio/x-mpeg", "mp3", NULL, FALSE }
 };
 
 totemScriptablePlugin::totemScriptablePlugin (totemPlugin *aPlugin)


Index: totem.spec
===================================================================
RCS file: /cvs/extras/rpms/totem/OLPC-2/totem.spec,v
retrieving revision 1.108
retrieving revision 1.109
diff -u -r1.108 -r1.109
--- totem.spec	6 Jul 2007 17:24:53 -0000	1.108
+++ totem.spec	28 Sep 2007 16:29:07 -0000	1.109
@@ -5,13 +5,15 @@
 Summary: Movie player for GNOME 2
 Name: totem
 Version: 2.18.2
-Release: 5%{?dist} 
+Release: 7
 License: GPL
 Group: Applications/Multimedia
 URL: http://www.gnome.org/projects/totem/
 Source0: http://download.gnome.org/sources/totem/2.18/totem-%{version}.tar.bz2
 Patch0: totem-gtk-init-gst.patch
 Patch1: totem-2.18.1-remove-libsn.patch
+Patch2: totem-2.18.2-plugin-build.patch
+Patch3: totem-2.18.3-pluginmime.patch
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
 
@@ -85,6 +87,8 @@
 %setup -q
 %patch0 -p1 -b .gtk-init-gst
 %patch1 -p1 -b .remove-libsn
+%patch2 -p0 -b .plugin-build
+%patch3 -p0 -b .pluginmime
 
 %build
 # try to work around a problem where gst-inspect does 
@@ -188,6 +192,12 @@
 %{_libdir}/*so
 
 %changelog
+* Fri Sep 28 2007 Marco Pesenti Gritti <mpg at redhat.com> - 2.18.2-7
+- Apply patches to make it build and to make it recognize wav
+
+* Thu Jul 19 2007 Marco Pesenti Gritti <mpg at redhat.com> - 2.18.2-6.marco
+- Add a patch to make it build with 1.9 alpha 6
+
 * Fri Jul 06 2007 John (J5) Palmieri <johnp at redhat.com> - 2.18.2-5
 - Bump and recompile
 




More information about the fedora-extras-commits mailing list